xml-xalan-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject DO NOT REPLY [Bug 5659] New: - error "stylesheet requires attribute: version"
Date Wed, 02 Jan 2002 15:35:53 GMT
DO NOT REPLY TO THIS EMAIL, BUT PLEASE POST YOUR BUG 
RELATED COMMENTS THROUGH THE WEB INTERFACE AVAILABLE AT
<http://nagoya.apache.org/bugzilla/show_bug.cgi?id=5659>.
ANY REPLY MADE TO THIS MESSAGE WILL NOT BE COLLECTED AND 
INSERTED IN THE BUG DATABASE.

http://nagoya.apache.org/bugzilla/show_bug.cgi?id=5659

error "stylesheet requires attribute: version"

           Summary: error "stylesheet requires attribute: version"
           Product: XalanJ2
           Version: 2.2.x
          Platform: PC
        OS/Version: Windows NT/2K
            Status: NEW
          Severity: Normal
          Priority: Other
         Component: org.apache.xalan
        AssignedTo: xalan-dev@xml.apache.org
        ReportedBy: dwswearingen@tasc.com


When transforming, get error:

"stylesheet requires attribute: version"

even though stylesheet DOES have attribute version.  Did some searches uses 
Google for other people having this problem and there were MANY people 
experiencing this as well.  E.g.,

http://www2.real-time.com/pipermail/cocoon-users/2001-June/016498.html

The above post is where I found what appears to be an appropriate solution:  

xmlns:xsl="http://www.w3.org/XSL/Transform"
should be 
xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 

I'm no expert in XSL or Xalan but this fix worked for me.  Worth looking into.  

Thanks.

Mime
View raw message